Bug 488996 - Type information lost when passing ad through carod
Summary: Type information lost when passing ad through carod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: 1.1
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.2
: ---
Assignee: Robert Rati
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On: 522467
Blocks: 527551
TreeView+ depends on / blocked
 
Reported: 2009-03-06 17:09 UTC by Matthew Farrellee
Modified: 2009-12-03 09:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid bug fix C: Int/floats were being incorrectly set as strings. C: Attributes sent into the grid were losing type information. Attributes being set by the grid were all being set to str16. F: Int/floats are now being set correctly as Int/floats R: Type information is now correct Int/floats were being incorrectly processed, which caused attributes to lose type information, or be set to the incorrect type. Int/floats are now set accurately, and type data is now correct.
Clone Of:
Environment:
Last Closed: 2009-12-03 09:19:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1633 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.2 2009-12-03 09:15:33 UTC

Description Matthew Farrellee 2009-03-06 17:09:39 UTC
condor-low-latency-1.0-10.el5
condor-job-hooks-common-1.0-5.el5

Sending a message into the grid...
   ...
   message.getHeaders().setInt("JobUniverse", 5);
   ...

Receiving a response from the grid...
   (application headers)
   {...JobUniverse :V2:1:str16(5)...   }

So type information is lost for attributes sent into the grid, but also attributes set by the grid are all coerced into str16...

   (application headers)
   {...ExitCode :V2:1:str16(0),...,ImageSize :V2:4:str16(3784),...,JobDuration :V2:9:str16(45.018719),JobPid :V2:5:str16(26153),JobStartDate :V2:10:str16(1236358349),...,JobStatus :V2:1:str16(4),...}

Comment 1 Robert Rati 2009-03-06 20:04:52 UTC
Int/floats are now correctly set as ints/floats as opposed to all being strings.

Fixed in:
condor-low-latency-1.0-11

Comment 2 Martin Kudlej 2009-09-23 13:34:34 UTC
Tested on condor-low-latency-1.0-10 on RHEL5 and it didn't work. Tested on RHEL 5.4/4.8 i386/x86_64 condor-low-latency-1.19 and it works --> VERIFIED

Comment 3 Irina Boverman 2009-10-29 14:29:41 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.

Comment 4 Lana Brindley 2009-11-05 02:03:19 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,8 @@
-please see bug summary.+Grid bug fix
+
+C: Int/floats were being incorrectly set as strings.
+C: Attributes sent into the grid were losing type information. Attributes being set by the grid were all being set to str16.
+F: Int/floats are now being set correctly as Int/floats
+R: Type information is now correct
+
+Int/floats were being incorrectly processed, which caused attributes to lose type information, or be set to the incorrect type. Int/floats are now set accurately, and type data is now correct.

Comment 6 errata-xmlrpc 2009-12-03 09:19:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html


Note You need to log in before you can comment on or make changes to this bug.